Subject: Re: linux-next 0112 tree breaks fs DAX

From: Dave Jiang <[email-masked]>
Date: Tue, 17 Jan 2017 13:25:07 -0700

On 01/17/2017 11:13 AM, Dave Jiang wrote:
> 
> 
> On 01/17/2017 09:05 AM, Dave Jiang wrote:
>> On 01/16/2017 03:45 AM, Stephen Rothwell wrote:
>>> Hi Xiong,
>>>
>>> Just cc'ing Andrew.
>>>
>>> On Mon, 16 Jan 2017 17:29:16 +0800 Xiong Zhou <[email-masked]> wrote:
>>>>
>>>> On Fri, Jan 13, 2017 at 06:16:41PM +0800, Xiong Zhou wrote:
>>>>> Hi,
>>>>>
>>>>> These cases "hang" when testing with -o dax mount option:
>>>>> xfstests generic/030 generic/34{0,4,5,6} generic/198
>>>>> (maybe more)
>>>>>
>>>>> The test programme holetest or aiodio keep running for a
>>>>> long time. It's killable, but it seems never return.
>>>>>
>>>>> With both ext4 and xfs as fs.
>>>>>
>>>>> Without -o dax mount option, cases pass in seconds.
>>>>>
>>>>> 0111 tree passed the tests.
>>>>>
>>>>> sh-4.2# git log --oneline next-20170111..next-20170112 fs/dax.c
>>>>> 0c9a7909dd13 mm, dax: change pmd_fault() to take only vmf parameter
>>>>> f8dbc198d4ea mm, dax: make pmd_fault() and friends be the same as fault()  
>>>>
>>>> 0112 tree with above 2 commits reverted pass the tests.
>>>
>>
>> Thanks. I will debug.
>>
> 
> Xiong,
> I think I reproduced the issue, but only on the second commit
> 0c9a7909dd13 and not the first one f8dbc198d4ea. Can you please confirm
> that "f8dbc198d4ea mm, dax: make pmd_fault() and friends be the same as
> fault()" is ok or the failure starts with that? Thanks!

Actually nevermind. I am able to reproduce on the first commit now. Thanks.